Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513603 - Inconsistency between message when creating vs. deleting in Dashboard accordion of Report
Summary: Inconsistency between message when creating vs. deleting in Dashboard accordi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: Greg Piatigorski
QA Contact: Yadnyawalk Tale
URL:
Whiteboard: ui:report
Depends On: 1501115
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 16:41 UTC by Satoe Imaishi
Modified: 2018-03-06 15:29 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1501115
Environment:
Last Closed: 2018-03-06 15:29:44 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
working_flash (deleted)
2017-12-12 11:30 UTC, Yadnyawalk Tale
no flags Details
fixed_proof (deleted)
2018-02-07 15:35 UTC, Yadnyawalk Tale
no flags Details

Comment 2 CFME Bot 2017-11-29 20:38:20 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/e1c710b3a19cf27c2ca280cb1ffddd22db7c66ca

commit e1c710b3a19cf27c2ca280cb1ffddd22db7c66ca
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Nov 14 17:02:43 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Nov 15 11:41:51 2017 -0500

    Merge pull request #2688 from GregP/confirm_msg_for_report_dashboard
    
    Report Dashboard actions confirmation messages consistency
    (cherry picked from commit 6883c11b594266db62b2f6ce11226091f263f628)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513603

 app/controllers/report_controller/dashboards.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 3 Yadnyawalk Tale 2017-12-12 11:30:47 UTC
Created attachment 1366565 [details]
working_flash

Hey, flash msg showing correct output as expected!
Tested on: 5.9.0.12.20171205180333_3e32b3d

Thanks!

Comment 4 Yadnyawalk Tale 2017-12-12 11:40:03 UTC
@Greg and @Harpreet, It is showing `Miq Widget Set "desc1": Delete successful`, i was wondering why it is showing `Miq Widget Set` here? Don't you think it should be `Dashboard`?

Comment 5 Greg Piatigorski 2018-01-03 19:54:34 UTC
@Yadnyawalk, the issue, as first reported and then fixed, applied to Add/Edit actions. Looks like a different issue exists for Delete action, I will create a separate code fix for that and reference this BZ.

Comment 6 CFME Bot 2018-01-10 15:56:47 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/538e65d6c7c508ef0b13fe439899e59598e1b112

commit 538e65d6c7c508ef0b13fe439899e59598e1b112
Author:     Greg Piatigorski <gpiatigo@gmail.com>
AuthorDate: Tue Jan 9 13:52:46 2018 -0800
Commit:     Greg Piatigorski <gpiatigo@gmail.com>
CommitDate: Tue Jan 9 13:52:46 2018 -0800

    Add MiqWdigetSet to Dashboard dictionary translation
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513603

 locale/en.yml | 1 +
 1 file changed, 1 insertion(+)

Comment 7 CFME Bot 2018-01-10 19:06:53 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:
https://github.com/ManageIQ/manageiq/commit/0fc4b7b87a911f1eca44bdb7ac888064d03517fd

commit 0fc4b7b87a911f1eca44bdb7ac888064d03517fd
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Jan 10 10:55:49 2018 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jan 10 14:02:51 2018 -0500

    Merge pull request #16784 from GregP/add_dashboard_dictionary_entry
    
    Add MiqWdigetSet to Dashboard dictionary translation
    (cherry picked from commit cab9cf94a03180668a9882be1c77acde3a69fab3)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513603

 locale/en.yml | 1 +
 1 file changed, 1 insertion(+)

Comment 8 Yadnyawalk Tale 2018-02-07 15:35:18 UTC
Created attachment 1392754 [details]
fixed_proof

Fixed! I can see `Dashboard "new_dashboard": Delete successful` flash msg which is exactly what we are expecting.
Verified on: 5.9.0.20.20180206200727_d1873b9 

Thanks @Greg!


Note You need to log in before you can comment on or make changes to this bug.